### org.jfree.layouting.modules.output.pdf

# Class PdfDocumentWriter

- `java.lang.Object`
- - `org.jfree.layouting.modules.output.pdf.PdfDocumentWriter`

`public class PdfDocumentWriter`
`extends java.lang.Object`

Creation-Date: 02.12.2006, 17:49:47

Author:
  Thomas Morgner

  ## Constructor Summary

  `PdfDocumentWriter(Configuration config, OutputStream out, PdfOutputProcessorMetaData metaData)`

  ## Method Summary

  `void`

  `close()`
    Closes the document.

  `Document`

  `getDocument()`

  `void`

  `open()`

  `protected void`

  `processLogicalPage(LogicalPageKey key, LogicalPageBox logicalPage)`

  `protected void`

  `processPhysicalPage(PageGrid pageGrid, LogicalPageBox logicalPage, int row, int col, PhysicalPageKey pageKey)`

  `void`

  `setDocument(Document document)`

## Constructor Details

### PdfDocumentWriter

    public PdfDocumentWriter(Configuration config,
                             OutputStream out,
                             PdfOutputProcessorMetaData metaData)

## Method Details

### close

    public void close()

> Closes the document.

### getDocument

    public Document getDocument()

### open

    public void open()
                throws DocumentException

### processLogicalPage

    protected void processLogicalPage(LogicalPageKey key,
                                      LogicalPageBox logicalPage)
                throws DocumentException

### processPhysicalPage

    protected void processPhysicalPage(PageGrid pageGrid,
                                       LogicalPageBox logicalPage,
                                       int row,
                                       int col,
                                       PhysicalPageKey pageKey)
                throws DocumentException

### setDocument

    public void setDocument(Document document)